/*
 * CrosstabReportElementWrapper.java
 *
 * Created on February 14, 2006, 11:18 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package it.businesslogic.ireport.gui;

import it.businesslogic.ireport.CrosstabReportElement;

/**
 * This class is used to override the toString method in
 * the expression editor of a crosstab element...
 * @author gtoffoli
 */
public class CrosstabReportElementWrapper {
    
    private CrosstabReportElement crosstabReportElement = null;
    
    /** Creates a new instance of CrosstabReportElementWrapper */
    public CrosstabReportElementWrapper(CrosstabReportElement crosstabReportElement) {
        this.setCrosstabReportElement(crosstabReportElement);
    }

    public CrosstabReportElement getCrosstabReportElement() {
        return crosstabReportElement;
    }

    public void setCrosstabReportElement(CrosstabReportElement crosstabReportElement) {
        this.crosstabReportElement = crosstabReportElement;
    }
 
    public String toString()
    {
        if (getCrosstabReportElement() != null)
        {
            return getCrosstabReportElement().getName();
        }
        return "N/A";
    }
    
}
